module  ynu_ti_ffe
(
 clk_in
,en_in
,d_in
,d_out
);

// synopsys template
parameter WIDTH = 1;

input               clk_in;
input               en_in;
input   [WIDTH-1:0] d_in;
output  [WIDTH-1:0] d_out;


`ifdef FIXEDCELL

genvar i;

generate
    for (i=0; i<WIDTH; i=i+1)
        begin :CELL
           /*cell name here*/ U_EDFF
            (
             .Q     ( d_out[i]  )
            ,.DATA  ( d_in[i]   )
            ,.CLK   ( clk_in    )
            ,.EN    ( en_in     )
            );/*adapt port name*/
        end
endgenerate

`else

reg     [WIDTH-1:0] d_out;

always @(posedge clk_in)
begin
    if(en_in==1'b1)
        d_out <= d_in;
    else
        d_out <= d_out;
end

`endif


endmodule
