module  ynu_ti_mul03
(
 d_in
,d_out
);

input   [7:0]   d_in;
output  [7:0]   d_out;

wire    [7:0]   d_w;


ynu_ti_xor2 U_XOR0
(
 .d0_in ( d_in[0]   )
,.d1_in ( d_in[7]   )
,.d_out ( d_w[0]    )
);

ynu_ti_xor3 U_XOR1
(
 .d0_in ( d_in[0]   )
,.d1_in ( d_in[1]   )
,.d2_in ( d_in[7]   )
,.d_out ( d_w[1]    )
);

ynu_ti_xor2 U_XOR2
(
 .d0_in ( d_in[1]   )
,.d1_in ( d_in[2]   )
,.d_out ( d_w[2]    )
);

ynu_ti_xor3 U_XOR3
(
 .d0_in ( d_in[2]   )
,.d1_in ( d_in[3]   )
,.d2_in ( d_in[7]   )
,.d_out ( d_w[3]    )
);

ynu_ti_xor3 U_XOR4
(
 .d0_in ( d_in[3]   )
,.d1_in ( d_in[4]   )
,.d2_in ( d_in[7]   )
,.d_out ( d_w[4]    )
);

ynu_ti_xor2 U_XOR5
(
 .d0_in ( d_in[4]   )
,.d1_in ( d_in[5]   )
,.d_out ( d_w[5]    )
);

ynu_ti_xor2 U_XOR6
(
 .d0_in ( d_in[5]   )
,.d1_in ( d_in[6]   )
,.d_out ( d_w[6]    )
);

ynu_ti_xor2 U_XOR7
(
 .d0_in ( d_in[6]   )
,.d1_in ( d_in[7]   )
,.d_out ( d_w[7]    )
);


assign d_out = d_w;


endmodule
