module ynu_ti_subblock_s4
(
 d1_in
,d2_in
,d3_in
,d4_in
,d1_out
,d2_out
,d3_out
,d4_out
);

input   [127:0] d1_in;
input   [127:0] d2_in;
input   [127:0] d3_in;
input   [127:0] d4_in;
output  [127:0] d1_out;
output  [127:0] d2_out;
output  [127:0] d3_out;
output  [127:0] d4_out;

wire    [7:0]   si10_w,si11_w,si12_w,si13_w,
                si14_w,si15_w,si16_w,si17_w,
                si18_w,si19_w,si1a_w,si1b_w,
                si1c_w,si1d_w,si1e_w,si1f_w;
wire    [7:0]   si20_w,si21_w,si22_w,si23_w,
                si24_w,si25_w,si26_w,si27_w,
                si28_w,si29_w,si2a_w,si2b_w,
                si2c_w,si2d_w,si2e_w,si2f_w;
wire    [7:0]   si30_w,si31_w,si32_w,si33_w,
                si34_w,si35_w,si36_w,si37_w,
                si38_w,si39_w,si3a_w,si3b_w,
                si3c_w,si3d_w,si3e_w,si3f_w;
wire    [7:0]   si40_w,si41_w,si42_w,si43_w,
                si44_w,si45_w,si46_w,si47_w,
                si48_w,si49_w,si4a_w,si4b_w,
                si4c_w,si4d_w,si4e_w,si4f_w;
wire    [7:0]   so10_w,so11_w,so12_w,so13_w,
                so14_w,so15_w,so16_w,so17_w,
                so18_w,so19_w,so1a_w,so1b_w,
                so1c_w,so1d_w,so1e_w,so1f_w;
wire    [7:0]   so20_w,so21_w,so22_w,so23_w,
                so24_w,so25_w,so26_w,so27_w,
                so28_w,so29_w,so2a_w,so2b_w,
                so2c_w,so2d_w,so2e_w,so2f_w;
wire    [7:0]   so30_w,so31_w,so32_w,so33_w,
                so34_w,so35_w,so36_w,so37_w,
                so38_w,so39_w,so3a_w,so3b_w,
                so3c_w,so3d_w,so3e_w,so3f_w;
wire    [7:0]   so40_w,so41_w,so42_w,so43_w,
                so44_w,so45_w,so46_w,so47_w,
                so48_w,so49_w,so4a_w,so4b_w,
                so4c_w,so4d_w,so4e_w,so4f_w;
wire    [127:0] d1_w;
wire    [127:0] d2_w;
wire    [127:0] d3_w;
wire    [127:0] d4_w;


assign { si10_w,si11_w,si12_w,si13_w,
         si14_w,si15_w,si16_w,si17_w,
         si18_w,si19_w,si1a_w,si1b_w,
         si1c_w,si1d_w,si1e_w,si1f_w } = d1_in;

assign { si20_w,si21_w,si22_w,si23_w,
         si24_w,si25_w,si26_w,si27_w,
         si28_w,si29_w,si2a_w,si2b_w,
         si2c_w,si2d_w,si2e_w,si2f_w } = d2_in;

assign { si30_w,si31_w,si32_w,si33_w,
         si34_w,si35_w,si36_w,si37_w,
         si38_w,si39_w,si3a_w,si3b_w,
         si3c_w,si3d_w,si3e_w,si3f_w } = d3_in;

assign { si40_w,si41_w,si42_w,si43_w,
         si44_w,si45_w,si46_w,si47_w,
         si48_w,si49_w,si4a_w,si4b_w,
         si4c_w,si4d_w,si4e_w,si4f_w } = d4_in;

ynu_ti_subbyte_s4   U_S0
(
 .d1_in     ( si10_w    )
,.d2_in     ( si20_w    )
,.d3_in     ( si30_w    )
,.d4_in     ( si40_w    )
,.d1_out    ( so10_w    )
,.d2_out    ( so20_w    )
,.d3_out    ( so30_w    )
,.d4_out    ( so40_w    )
);

ynu_ti_subbyte_s4   U_S1
(
 .d1_in     ( si11_w    )
,.d2_in     ( si21_w    )
,.d3_in     ( si31_w    )
,.d4_in     ( si41_w    )
,.d1_out    ( so11_w    )
,.d2_out    ( so21_w    )
,.d3_out    ( so31_w    )
,.d4_out    ( so41_w    )
);

ynu_ti_subbyte_s4   U_S2
(
 .d1_in     ( si12_w    )
,.d2_in     ( si22_w    )
,.d3_in     ( si32_w    )
,.d4_in     ( si42_w    )
,.d1_out    ( so12_w    )
,.d2_out    ( so22_w    )
,.d3_out    ( so32_w    )
,.d4_out    ( so42_w    )
);

ynu_ti_subbyte_s4   U_S3
(
 .d1_in     ( si13_w    )
,.d2_in     ( si23_w    )
,.d3_in     ( si33_w    )
,.d4_in     ( si43_w    )
,.d1_out    ( so13_w    )
,.d2_out    ( so23_w    )
,.d3_out    ( so33_w    )
,.d4_out    ( so43_w    )
);

ynu_ti_subbyte_s4   U_S4
(
 .d1_in     ( si14_w    )
,.d2_in     ( si24_w    )
,.d3_in     ( si34_w    )
,.d4_in     ( si44_w    )
,.d1_out    ( so14_w    )
,.d2_out    ( so24_w    )
,.d3_out    ( so34_w    )
,.d4_out    ( so44_w    )
);

ynu_ti_subbyte_s4   U_S5
(
 .d1_in     ( si15_w    )
,.d2_in     ( si25_w    )
,.d3_in     ( si35_w    )
,.d4_in     ( si45_w    )
,.d1_out    ( so15_w    )
,.d2_out    ( so25_w    )
,.d3_out    ( so35_w    )
,.d4_out    ( so45_w    )
);

ynu_ti_subbyte_s4   U_S6
(
 .d1_in     ( si16_w    )
,.d2_in     ( si26_w    )
,.d3_in     ( si36_w    )
,.d4_in     ( si46_w    )
,.d1_out    ( so16_w    )
,.d2_out    ( so26_w    )
,.d3_out    ( so36_w    )
,.d4_out    ( so46_w    )
);

ynu_ti_subbyte_s4   U_S7
(
 .d1_in     ( si17_w    )
,.d2_in     ( si27_w    )
,.d3_in     ( si37_w    )
,.d4_in     ( si47_w    )
,.d1_out    ( so17_w    )
,.d2_out    ( so27_w    )
,.d3_out    ( so37_w    )
,.d4_out    ( so47_w    )
);

ynu_ti_subbyte_s4   U_S8
(
 .d1_in     ( si18_w    )
,.d2_in     ( si28_w    )
,.d3_in     ( si38_w    )
,.d4_in     ( si48_w    )
,.d1_out    ( so18_w    )
,.d2_out    ( so28_w    )
,.d3_out    ( so38_w    )
,.d4_out    ( so48_w    )
);

ynu_ti_subbyte_s4   U_S9
(
 .d1_in     ( si19_w    )
,.d2_in     ( si29_w    )
,.d3_in     ( si39_w    )
,.d4_in     ( si49_w    )
,.d1_out    ( so19_w    )
,.d2_out    ( so29_w    )
,.d3_out    ( so39_w    )
,.d4_out    ( so49_w    )
);

ynu_ti_subbyte_s4   U_SA
(
 .d1_in     ( si1a_w    )
,.d2_in     ( si2a_w    )
,.d3_in     ( si3a_w    )
,.d4_in     ( si4a_w    )
,.d1_out    ( so1a_w    )
,.d2_out    ( so2a_w    )
,.d3_out    ( so3a_w    )
,.d4_out    ( so4a_w    )
);

ynu_ti_subbyte_s4   U_SB
(
 .d1_in     ( si1b_w    )
,.d2_in     ( si2b_w    )
,.d3_in     ( si3b_w    )
,.d4_in     ( si4b_w    )
,.d1_out    ( so1b_w    )
,.d2_out    ( so2b_w    )
,.d3_out    ( so3b_w    )
,.d4_out    ( so4b_w    )
);

ynu_ti_subbyte_s4   U_SC
(
 .d1_in     ( si1c_w    )
,.d2_in     ( si2c_w    )
,.d3_in     ( si3c_w    )
,.d4_in     ( si4c_w    )
,.d1_out    ( so1c_w    )
,.d2_out    ( so2c_w    )
,.d3_out    ( so3c_w    )
,.d4_out    ( so4c_w    )
);

ynu_ti_subbyte_s4   U_SD
(
 .d1_in     ( si1d_w    )
,.d2_in     ( si2d_w    )
,.d3_in     ( si3d_w    )
,.d4_in     ( si4d_w    )
,.d1_out    ( so1d_w    )
,.d2_out    ( so2d_w    )
,.d3_out    ( so3d_w    )
,.d4_out    ( so4d_w    )
);

ynu_ti_subbyte_s4   U_SE
(
 .d1_in     ( si1e_w    )
,.d2_in     ( si2e_w    )
,.d3_in     ( si3e_w    )
,.d4_in     ( si4e_w    )
,.d1_out    ( so1e_w    )
,.d2_out    ( so2e_w    )
,.d3_out    ( so3e_w    )
,.d4_out    ( so4e_w    )
);

ynu_ti_subbyte_s4   U_SF
(
 .d1_in     ( si1f_w    )
,.d2_in     ( si2f_w    )
,.d3_in     ( si3f_w    )
,.d4_in     ( si4f_w    )
,.d1_out    ( so1f_w    )
,.d2_out    ( so2f_w    )
,.d3_out    ( so3f_w    )
,.d4_out    ( so4f_w    )
);

assign d1_w = { so10_w,so11_w,so12_w,so13_w,
                so14_w,so15_w,so16_w,so17_w,
                so18_w,so19_w,so1a_w,so1b_w,
                so1c_w,so1d_w,so1e_w,so1f_w };

assign d2_w = { so20_w,so21_w,so22_w,so23_w,
                so24_w,so25_w,so26_w,so27_w,
                so28_w,so29_w,so2a_w,so2b_w,
                so2c_w,so2d_w,so2e_w,so2f_w };

assign d3_w = { so30_w,so31_w,so32_w,so33_w,
                so34_w,so35_w,so36_w,so37_w,
                so38_w,so39_w,so3a_w,so3b_w,
                so3c_w,so3d_w,so3e_w,so3f_w };

assign d4_w = { so40_w,so41_w,so42_w,so43_w,
                so44_w,so45_w,so46_w,so47_w,
                so48_w,so49_w,so4a_w,so4b_w,
                so4c_w,so4d_w,so4e_w,so4f_w };

assign  d1_out = d1_w;
assign  d2_out = d2_w;
assign  d3_out = d3_w;
assign  d4_out = d4_w;


endmodule
