module  ynu_ti_xor3
(
 d0_in
,d1_in
,d2_in
,d_out
);

// synopsys template
parameter WIDTH      = 1;

input   [WIDTH-1 : 0]   d0_in;
input   [WIDTH-1 : 0]   d1_in;
input   [WIDTH-1 : 0]   d2_in;
output  [WIDTH-1 : 0]   d_out;


`ifdef FIXEDCELL

genvar i;

generate
    for (i=0; i<WIDTH; i=i+1)
        begin :CELL
            /*cell name here*/	U_XOR3
            (
             .Y ( d_out[i] )
            ,.A ( d0_in[i] )
            ,.B ( d1_in[i] )
            ,.C ( d2_in[i] )
            );/*adapt port name*/
        end
endgenerate

`else

assign  d_out = d0_in ^ d1_in ^ d2_in;

`endif


endmodule
