module  ynu_ti_xor5
(
 d0_in
,d1_in
,d2_in
,d3_in
,d4_in
,d_out
);

// synopsys template
parameter WIDTH      = 1;

input   [WIDTH-1 : 0]   d0_in;
input   [WIDTH-1 : 0]   d1_in;
input   [WIDTH-1 : 0]   d2_in;
input   [WIDTH-1 : 0]   d3_in;
input   [WIDTH-1 : 0]   d4_in;
output  [WIDTH-1 : 0]   d_out;

wire    [WIDTH-1 : 0]   da_w;


ynu_ti_xor3 #(WIDTH)    U_XOR_A
(
 .d0_in ( d0_in )
,.d1_in ( d1_in )
,.d2_in ( d2_in )
,.d_out ( da_w  )
);

ynu_ti_xor3 #(WIDTH)    U_XOR
(
 .d0_in ( d3_in )
,.d1_in ( d4_in )
,.d2_in ( da_w  )
,.d_out ( d_out )
);


endmodule
