module ynu_ti_mixblock
(
 d_in
,d_out
);

input   [127:0] d_in;
output  [127:0] d_out;

wire    [31:0]  wi0_w,wi1_w,wi2_w,wi3_w;
wire    [31:0]  wo0_w,wo1_w,wo2_w,wo3_w;

wire    [127:0] d_w;


assign {wi0_w,wi1_w,wi2_w,wi3_w} = d_in;

ynu_ti_mixcolumns   U_MC0   (.d_in(wi0_w), .d_out(wo0_w));
ynu_ti_mixcolumns   U_MC1   (.d_in(wi1_w), .d_out(wo1_w));
ynu_ti_mixcolumns   U_MC2   (.d_in(wi2_w), .d_out(wo2_w));
ynu_ti_mixcolumns   U_MC3   (.d_in(wi3_w), .d_out(wo3_w));

assign d_w = {wo0_w,wo1_w,wo2_w,wo3_w};


assign  d_out = d_w;


endmodule
