module  ynu_ti_mux2
(
 sel_in
,d0_in
,d1_in
,d_out
);

// synopsys template
parameter WIDTH      = 1;

input                   sel_in;
input   [WIDTH-1 : 0]   d0_in;
input   [WIDTH-1 : 0]   d1_in;
output  [WIDTH-1 : 0]   d_out;


`ifdef FIXEDCELL

genvar i;

generate
    for (i=0; i<WIDTH; i=i+1)
        begin :CELL
            /*cell name here*/ U_MX2
            (
             .Y     ( d_out[i]  )
            ,.D0    ( d0_in[i]  )
            ,.D1    ( d1_in[i]  )
            ,.S0    ( sel_in    )
            );/*adapt port name*/
        end
endgenerate

`else

assign  d_out = (sel_in==1'b1) ? d1_in : d0_in;

`endif


endmodule
